org.eclipse.ease

## Enum ICompletionContext.Type

- java.lang.Object
- - java.lang.Enum<ICompletionContext.Type>
  - - org.eclipse.ease.ICompletionContext.Type

All Implemented Interfaces:
  Serializable, Comparable<ICompletionContext.Type>

Enclosing interface:
  ICompletionContext

    public static enum ICompletionContext.Type
    extends Enum<ICompletionContext.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLASS_INSTANCE`
`NONE`
`PACKAGE`
`STATIC_CLASS`
`STRING_LITERAL`
`UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static ICompletionContext.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ICompletionContext.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final ICompletionContext.Type UNKNOWN

#### NONE

    public static final ICompletionContext.Type NONE

#### STATIC_CLASS

    public static final ICompletionContext.Type STATIC_CLASS

#### CLASS_INSTANCE

    public static final ICompletionContext.Type CLASS_INSTANCE

#### PACKAGE

    public static final ICompletionContext.Type PACKAGE

#### STRING_LITERAL

    public static final ICompletionContext.Type STRING_LITERAL

### Method Detail

#### values

    public static ICompletionContext.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ICompletionContext.Type c : ICompletionContext.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ICompletionContext.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null